Cyberduck Mountain Duck CLI

#10130 closed defect (worksforme)

Failure authenticating with password protected ed25519 private key

Reported by: kinglok Owned by: dkocher
Priority: normal Milestone: 6.7.0
Component: sftp Version: Nightly Build
Severity: normal Keywords: ed25519
Cc: Architecture: Intel
Platform: macOS 10.12

Description

Cyberduck can log myself through SFTP protocol with using ed25519 private key. However, if a ed25519 key is password-protected, Cyberduck cannot login the same server but showing the following error message:

Exhausted available authentication methods. Please contact your web hosting service provider for assistance.

Attachments (2)

debug.log (48.0 KB) - added by kinglok on Jul 21, 2018 at 1:13:25 PM.
Debug log
sshd_debug.txt (5.1 KB) - added by kinglok on Aug 11, 2018 at 5:02:23 PM.
openssh server debug log.

Download all attachments as: .zip

Change History (34)

comment:1 Changed on Nov 8, 2017 at 3:16:16 PM by dkocher

Please update to the latest snapshot build available which should resolve this issue.

comment:2 Changed on Nov 8, 2017 at 3:26:14 PM by kinglok

I am sorry to tell the problem still exist in version 6.3.0 (26995)

comment:3 Changed on Nov 8, 2017 at 4:10:55 PM by dkocher

  • Component changed from core to sftp
  • Owner set to dkocher
  • Summary changed from Private Key Problem to Failure authenticating with password protected ed25519 private key

comment:4 Changed on Mar 9, 2018 at 5:45:47 PM by UniverseX

Hi, Are you planning to apply this to the stable version (Mac App Store version)? Thanks.

Last edited on Mar 9, 2018 at 6:11:16 PM by UniverseX (previous) (diff)

comment:5 Changed on Jun 19, 2018 at 9:55:05 AM by dkocher

  • Milestone set to 7.0
  • Status changed from new to assigned

comment:6 Changed on Jun 20, 2018 at 8:58:54 AM by dkocher

  • Milestone changed from 7.0 to 6.6.2
  • Resolution set to fixed
  • Status changed from assigned to closed

In r44505.

comment:7 Changed on Jun 25, 2018 at 8:59:52 AM by UniverseX

  • Architecture set to Intel
  • Resolution fixed deleted
  • Status changed from closed to reopened

Hi, Updated the App (via App Store) and unfortunately, it still not working. Getting the following error: "Exhausted available authentication methods. Unknown key type ssh-ed25519. Please contact your web hosting service provider for assistance." However, it seems working fine with the nightly builds. Thanks.

comment:8 follow-up: Changed on Jun 25, 2018 at 10:06:02 AM by dkocher

Are you running version 6.6.2 (28219) from the Mac App Store?

comment:9 in reply to: ↑ 8 ; follow-up: Changed on Jun 25, 2018 at 10:08:38 AM by UniverseX

Replying to dkocher:

Are you running version 6.6.2 (28219) from the Mac App Store?

Correct

comment:10 in reply to: ↑ 9 ; follow-up: Changed on Jul 9, 2018 at 3:02:09 PM by dkocher

Replying to UniverseX:

Replying to dkocher:

Are you running version 6.6.2 (28219) from the Mac App Store?

Correct

I am unable to reproduce with a key generated using ssh-keygen -t ed25519 running 6.6.2 (28219).

comment:11 Changed on Jul 9, 2018 at 3:02:24 PM by dkocher

  • Resolution set to worksforme
  • Status changed from reopened to closed

comment:12 Changed on Jul 9, 2018 at 3:08:28 PM by dkocher

  • Resolution worksforme deleted
  • Status changed from closed to reopened

comment:13 follow-up: Changed on Jul 9, 2018 at 3:22:24 PM by dkocher

  • Resolution set to worksforme
  • Status changed from reopened to closed

comment:14 in reply to: ↑ 10 Changed on Jul 9, 2018 at 3:30:26 PM by UniverseX

Replying to dkocher:

Replying to UniverseX:

Replying to dkocher:

Are you running version 6.6.2 (28219) from the Mac App Store?

Correct

I am unable to reproduce with a key generated using ssh-keygen -t ed25519 running 6.6.2 (28219).

I’ve generated it in Putty (Windows).

comment:15 in reply to: ↑ 13 Changed on Jul 9, 2018 at 4:22:46 PM by UniverseX

Replying to dkocher: Then how you explain that it works fine in nightly built? The key is working fine in other Windows/macOS applications (e.g. Yummy FTP Pro, Putty etc.)

comment:16 Changed on Jul 11, 2018 at 7:58:25 AM by dkocher

  • Milestone changed from 6.6.2 to 6.7.0
  • Resolution worksforme deleted
  • Status changed from closed to reopened

comment:17 Changed on Jul 11, 2018 at 8:00:43 AM by UniverseX

I have recreated a key via macOS terminal and can confirm that it’s working now. It seems that there is an issue with Putty keys. Thanks.

comment:18 follow-up: Changed on Jul 11, 2018 at 8:03:29 AM by dkocher

Can you please try re-selecting the PuTTY private key in the bookmark settings and try to connect again.

comment:19 in reply to: ↑ 18 Changed on Jul 11, 2018 at 6:01:10 PM by UniverseX

Replying to dkocher:

Can you please try re-selecting the PuTTY private key in the bookmark settings and try to connect again.

I've tried all possible scenarios - reinstalling the app, re-creating bookmarks, re-choosing the key, however, unfortunately, it's still not working. Gonna stick to the newly created key (via ssh-keygen), was able to convert the new key to the Putty format using puttygen nightly build. Thanks.

comment:20 Changed on Jul 13, 2018 at 7:46:44 PM by dkocher

  • Resolution set to worksforme
  • Status changed from reopened to closed

comment:21 Changed on Jul 14, 2018 at 9:29:41 PM by kinglok

  • Version changed from 6.2.10 to Nightly Build

Hi,

I use the following the command to create the private/public key pair for logging my Debian server.

ssh-keygen -t ed25519 -f ssh_host_ed25519_key

While using the latest snapshot of Cyberduck and come across with “Application error”.

please advise how I can help by fixing it up.

Thanks,

Kinglok, Fong

comment:22 Changed on Jul 17, 2018 at 11:09:08 AM by dkocher

Can you please attach the screenshot of the failure message and any related output in the system.log(/Applications/Utilities/Console.app).

comment:23 follow-up: Changed on Jul 21, 2018 at 1:10:02 PM by kinglok

I am using the latest snapshot of Cyberduck.

The screen shows "Unknown application error"

The related output in the system.log ======= Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG ch.cyberduck.binding.WindowController - Become main for window <NSWindow: 0x6080001eec00> Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG ch.cyberduck.binding.WindowController - Become key for window <NSWindow: 0x6080001eec00> Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG ch.cyberduck.ui.cocoa.controller.BrowserController - Mount session for Host{credentials=Credentials{user='the_login_user'}, hostname='gateway.destination.net', defaultpath='null', port=22, protocol=Profile{parent=sftp, image=null}} Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG ch.cyberduck.ui.cocoa.controller.BrowserController - Unmount session ch.cyberduck.core.pool.SessionPool$DisconnectedSessionPool@27d4a09 Jul 21 21:03:27 Moon Cyberduck[2531]: [main] INFO ch.cyberduck.core.AbstractCache - Clearing cache Cache{size=0} Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG ch.cyberduck.ui.cocoa.controller.BrowserController - Set working directory to null Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG ch.cyberduck.ui.cocoa.controller.BrowserController - Set path filter to RegexFilter{pattern=\..*} Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG ch.cyberduck.ui.cocoa.controller.BrowserController - Reload data with selected files [] Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG ch.cyberduck.ui.cocoa.datasource.BrowserOutlineViewDataSource - Reload table view <CDOutlineView: 0x7fe38563a730> for changes files [] Jul 21 21:03:27 --- last message repeated 1 time --- Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG ch.cyberduck.core.local.TildeExpander - Expanded ~/.ssh/known_hosts to /Volumes/System/Users/kinglok/.ssh/known_hosts Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG net.schmizz.sshj.common.KeyType - Key algo: ssh-ed25519, Key curve: 25519, Key Len: 32

p: [-101, -4, -28, -64, -23, 53, 78, -125, 51, 81, 52, -19, -35, -120, 121, -16, 113, -60, 91, -1, -55, -12, 37, 112, -34, -67, -126, 46, 29, -32, -12, -122]

Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG net.schmizz.sshj.common.ECDSAVariationsAdapter - Key algo: ecdsa-sha2-nistp256, Key curve: nistp256, Key Len: 65, 0x04: 4

x: [64, -35, -39, 29, -117, -43, -100, 67, 56, -19, 87, -65, 15, -37, 17, -68, 23, -98, -51, -106, 109, -24, 67, -54, 36, 104, 110, 85, -94, 121, -116, 127] y: [108, 88, -17, -25, -46, -7, 58, 74, 49, 38, -128, -4, -82, -103, -56, 114, -128, -63, 104, -5, 32, 33, -47, -65, -63, -17, 125, -115, -119, 119, -110, 105]

Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG net.schmizz.sshj.common.ECDSAVariationsAdapter - Key algo: ecdsa-sha2-nistp256, Key curve: nistp256, Key Len: 65, 0x04: 4

x: [101, 49, -99, 39, 116, 91, -106, -24, 42, 112, -21, 4, 44, 32, 50, 97, 37, -61, 117, -51, 84, -23, 35, -52, 35, 97, -18, -63, -100, -101, 111, 112] y: [5, -70, -124, -69, -43, 54, 113, 81, -55, -82, -12, -93, -119, 35, 5, 66, 46, -47, -1, 18, -121, -22, -115, -110, -87, -36, 103, 64, 89, -5, 39, -12]

Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG net.schmizz.sshj.common.ECDSAVariationsAdapter - Key algo: ecdsa-sha2-nistp256, Key curve: nistp256, Key Len: 65, 0x04: 4

x: [-4, -30, 105, 42, -96, 126, -109, 122, -42, 27, -21, 84, 106, 46, 70, 85, -50, -34, -112, 119, -2, -38, 27, -5, -59, -61, 24, 9, -8, -22, -65, -13] y: [34, 73, 17, 122, 52, 82, -41, -52, 11, 87, 92, -75, 91, 4, 47, 59, 117, -12, -56, 72, -88, 108, -98, -121, 76, 10, 92, 95, -5, 80, -81, 113]

Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG net.schmizz.sshj.common.KeyType - Key algo: ssh-ed25519, Key curve: 25519, Key Len: 32

p: [-64, 81, 103, 19, 53, -104, -68, -49, 17, -21, -101, -82, -114, 12, 35, -14, 78, -83, -86, -80, -11, 22, -89, 32, 117, 5, -68, -37, -78, 60, 57, 75]

Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG net.schmizz.sshj.common.ECDSAVariationsAdapter - Key algo: ecdsa-sha2-nistp256, Key curve: nistp256, Key Len: 65, 0x04: 4

x: [-120, 107, 110, 21, -76, 105, 19, 63, 63, 40, -34, -121, -1, 102, -124, -23, 55, -36, -25, -108, 43, 101, -33, -5, 113, 35, -69, 50, -117, 9, -50, -88] y: [-100, 67, -30, -55, -26, 74, 51, 97, -9, -19, 58, 59, 75, -25, -61, -25, 57, 29, 36, 69, -56, 80, 94, 103, 35, 108, 33, 2, -117, 59, -7, -90]

Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG net.schmizz.sshj.common.KeyType - Key algo: ssh-ed25519, Key curve: 25519, Key Len: 32

p: [-41, -124, -1, 9, -98, 35, 13, 67, -12, 23, 90, 32, -80, 112, -112, -30, 94, 3, 24, 107, 40, -13, -67, 65, -44, 10, 79, 55, -36, 107, 119, -37]

Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG net.schmizz.sshj.common.ECDSAVariationsAdapter - Key algo: ecdsa-sha2-nistp256, Key curve: nistp256, Key Len: 65, 0x04: 4

x: [94, -75, -107, -16, -72, -82, -36, -117, -17, 35, -93, -109, 32, 35, -54, 98, -30, -32, -125, 99, -107, 26, 58, -58, 125, -109, 4, 89, 67, -71, 105, 61] y: [-19, 122, -118, -6, 10, 79, 17, 127, -23, 111, -72, -20, -13, 119, 126, 118, -66, -30, -106, 2, 36, -3, -38, 1, -12, -40, 54, 43, -4, 46, 25, 54]

Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG net.schmizz.sshj.common.ECDSAVariationsAdapter - Key algo: ecdsa-sha2-nistp256, Key curve: nistp256, Key Len: 65, 0x04: 4

x: [-15, -61, 114, 73, -9, 62, -106, 42, -1, -106, -119, -70, 125, 80, 127, 100, -86, 29, 7, -53, -109, 16, -86, -1, 54, 96, 27, -35, 20, 40, -87, 123] y: [-108, -65, -41, 114, 106, 127, 100, 72, 93, -83, -60, -38, 84, 85, -20, -100, -79, -25, 101, -40, -103, -78, 10, 78, 30, -42, -67, -50, -112, 116, -39, 113]

Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG net.schmizz.sshj.common.ECDSAVariationsAdapter - Key algo: ecdsa-sha2-nistp256, Key curve: nistp256, Key Len: 65, 0x04: 4

x: [53, 37, -127, 60, -26, -82, 124, -121, 70, 67, 88, 108, 92, 88, 76, 69, 28, 83, 108, -89, -42, -54, 63, 112, -121, 34, -91, -101, -107, 124, -43, -6] y: [-11, -101, -24, -16, 67, -34, -100, -83, 83, 124, 21, -23, -55, -11, -5, -106, -99, 80, -115, 77, 42, -48, -124, 44, -24, -103, 9, 105, -112, -93, 35, 72]

Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG net.schmizz.sshj.common.ECDSAVariationsAdapter - Key algo: ecdsa-sha2-nistp256, Key curve: nistp256, Key Len: 65, 0x04: 4

x: [25, 94, -111, 83, 75, 96, -25, 76, 114, -32, 78, 87, 119, 86, 75, 113, -68, 18, -105, -76, -95, 3, -2, 97, 125, -85, -74, 13, -50, -108, 55, 114] y: [92, -53, -41, 41, 48, 6, -64, 16, 81, -74, 96, 18, 53, -27, 35, 6, 112, -51, -96, 46, -54, 58, -69, -18, 84, -27, -116, -82, 102, -68, 54, -71]

Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG net.schmizz.sshj.common.ECDSAVariationsAdapter - Key algo: ecdsa-sha2-nistp256, Key curve: nistp256, Key Len: 65, 0x04: 4

x: [-58, -83, -65, 46, -103, 65, 59, -25, -49, -64, 66, -51, 82, 77, -128, 44, 117, -118, 126, 23, 41, 43, 95, 12, 35, -94, 74, 105, 30, -100, -6, -93] y: [-44, 45, -83, -62, 67, -64, 110, 26, 61, -56, -18, -82, 18, -68, 40, 81, 45, -72, 120, 91, -45, 108, 83, -41, 120, -98, -57, 89, -67, -68, 120, -88]

Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG net.schmizz.sshj.common.KeyType - Key algo: ssh-ed25519, Key curve: 25519, Key Len: 32

p: [-101, -4, -28, -64, -23, 53, 78, -125, 51, 81, 52, -19, -35, -120, 121, -16, 113, -60, 91, -1, -55, -12, 37, 112, -34, -67, -126, 46, 29, -32, -12, -122]

Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG net.schmizz.sshj.common.ECDSAVariationsAdapter - Key algo: ecdsa-sha2-nistp256, Key curve: nistp256, Key Len: 65, 0x04: 4

x: [-58, -83, -65, 46, -103, 65, 59, -25, -49, -64, 66, -51, 82, 77, -128, 44, 117, -118, 126, 23, 41, 43, 95, 12, 35, -94, 74, 105, 30, -100, -6, -93] y: [-44, 45, -83, -62, 67, -64, 110, 26, 61, -56, -18, -82, 18, -68, 40, 81, 45, -72, 120, 91, -45, 108, 83, -41, 120, -98, -57, 89, -67, -68, 120, -88]

Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG net.schmizz.sshj.common.ECDSAVariationsAdapter - Key algo: ecdsa-sha2-nistp256, Key curve: nistp256, Key Len: 65, 0x04: 4

x: [0, 84, -87, -100, -6, 33, -114, -99, -51, 40, 73, -54, -76, 16, -66, 122, -5, 69, -77, 7, 119, -45, -45, 70, -29, -122, 9, -37, -115, -55, 114, 51] y: [-111, 117, 23, 26, 126, 90, -117, 1, -96, -52, -48, 29, -65, 52, -3, -71, -125, -92, -111, -12, 6, -18, 124, 15, 78, 116, 49, 15, 36, -103, -84, 116]

Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG net.schmizz.sshj.common.KeyType - Key algo: ssh-ed25519, Key curve: 25519, Key Len: 32

p: [-101, -4, -28, -64, -23, 53, 78, -125, 51, 81, 52, -19, -35, -120, 121, -16, 113, -60, 91, -1, -55, -12, 37, 112, -34, -67, -126, 46, 29, -32, -12, -122]

Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG net.schmizz.sshj.common.ECDSAVariationsAdapter - Key algo: ecdsa-sha2-nistp256, Key curve: nistp256, Key Len: 65, 0x04: 4

x: [123, 80, -93, -95, -21, -104, 115, 86, -51, 119, 125, -103, -121, -19, -40, -27, -49, -126, -81, -65, 125, 28, -83, -45, 9, 126, -116, 107, 89, 89, -61, -35] y: [-45, -25, -101, -126, -2, 110, 71, 91, 99, 30, 95, -57, 62, 34, 26, -53, 119, -73, -127, 88, -31, 30, -81, -77, 116, 2, 105, 23, -105, -128, -110, 125]

Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG net.schmizz.sshj.common.ECDSAVariationsAdapter - Key algo: ecdsa-sha2-nistp256, Key curve: nistp256, Key Len: 65, 0x04: 4

x: [-53, -9, -89, -6, 49, 71, -122, -45, -68, -5, -103, 78, -18, -41, -115, -98, 18, 52, 11, 30, 5, -90, 7, 36, -110, 125, -44, -31, 36, -124, -127, -43] y: [95, -66, -56, -124, 49, 54, 82, 66, -18, -105, -91, -31, -66, 36, -89, -114, 80, -74, 44, -33, -16, -126, 9, 104, -69, -89, 1, 64, 96, -107, 79, -120]

Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG net.schmizz.sshj.common.ECDSAVariationsAdapter - Key algo: ecdsa-sha2-nistp256, Key curve: nistp256, Key Len: 65, 0x04: 4

x: [-52, -71, 25, -19, -71, 87, 111, -35, 15, -50, -33, -44, 84, -123, 87, -103, -78, 14, -100, 28, 25, 88, -22, -48, -74, 39, -71, -101, -6, -63, 54, -45] y: [55, -29, -110, 23, 58, 64, -65, 75, 69, -33, -105, -27, -40, -19, -12, 99, 30, 50, -97, -14, -126, 43, -26, -58, 99, 97, -92, -9, -115, 76, 54, 27]

Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG net.schmizz.sshj.common.ECDSAVariationsAdapter - Key algo: ecdsa-sha2-nistp256, Key curve: nistp256, Key Len: 65, 0x04: 4

x: [-49, 83, 58, -103, 62, -108, -16, -107, 117, 60, 86, 18, 121, 49, -121, -117, 18, 121, 46, 44, 85, -61, -79, 100, 52, 4, 61, 113, -5, 53, -5, 121] y: [108, 77, -71, -59, -18, -25, 0, 78, -11, -83, 78, 32, 69, 113, -110, -66, -32, 7, -18, 54, 124, 100, 105, 108, 35, 15, -24, -54, -123, -36, 123, -17]

Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG net.schmizz.sshj.common.ECDSAVariationsAdapter - Key algo: ecdsa-sha2-nistp256, Key curve: nistp256, Key Len: 65, 0x04: 4

x: [54, -86, -86, 60, 20, 14, -11, -80, 32, -64, 49, -116, 112, -115, -110, 37, 42, 15, 101, -49, 17, -22, -78, -64, -123, 13, 99, -33, -62, 13, 122, 113] y: [126, 67, 124, 91, -36, 45, 89, -96, 91, -55, -24, 47, 71, -22, -93, 78, -45, 103, -86, -74, 115, 126, 11, 64, -96, 92, -19, 99, 96, 37, -86, 55]

Jul 21 21:03:27 Moon Cyberduck[2531]: [main] INFO ch.cyberduck.core.SessionPoolFactory - Create new stateless connection pool for Host{credentials=Credentials{user='the_login_user'}, hostname='gateway.destination.net', defaultpath='null', port=22, protocol=Profile{parent=sftp, image=null}} Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG ch.cyberduck.core.SessionFactory - Create session for Host{credentials=Credentials{user='the_login_user'}, hostname='gateway.destination.net', defaultpath='null', port=22, protocol=Profile{parent=sftp, image=null}} Jul 21 21:03:27 Moon Cyberduck[2531]: [main] WARN ch.cyberduck.core.SessionFactory - No matching constructor for parameter class ch.cyberduck.core.Host, class ch.cyberduck.core.ssl.KeychainX509TrustManager, class ch.cyberduck.core.ssl.KeychainX509KeyManager Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG ch.cyberduck.core.threading.DefaultBackgroundExecutor - Run action WorkerBackgroundAction{worker=MountWorker{cache=ch.cyberduck.core.ReverseLookupCache@760245e1}} in background Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG ch.cyberduck.core.threading.NamedThreadFactory - Create thread for runnable java.util.concurrent.ThreadPoolExecutor$Worker@3e47a03[State = -1, empty queue] Jul 21 21:03:27 Moon Cyberduck[2531]: [main] INFO ch.cyberduck.core.threading.DefaultBackgroundExecutor - Scheduled background runnable WorkerBackgroundAction{worker=MountWorker{cache=ch.cyberduck.core.ReverseLookupCache@760245e1}} for execution Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] DEBUG ch.cyberduck.core.threading.BackgroundCallable - Running background action WorkerBackgroundAction{worker=MountWorker{cache=ch.cyberduck.core.ReverseLookupCache@760245e1}} Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] DEBUG ch.cyberduck.core.threading.BackgroundCallable - Prepare background action WorkerBackgroundAction{worker=MountWorker{cache=ch.cyberduck.core.ReverseLookupCache@760245e1}} Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] DEBUG ch.cyberduck.core.threading.AbstractBackgroundAction - Prepare background task WorkerBackgroundAction{worker=MountWorker{cache=ch.cyberduck.core.ReverseLookupCache@760245e1}} Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] DEBUG ch.cyberduck.core.AbstractController - Start action WorkerBackgroundAction{worker=MountWorker{cache=ch.cyberduck.core.ReverseLookupCache@760245e1}} Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] DEBUG ch.cyberduck.core.threading.BackgroundCallable - Call background action WorkerBackgroundAction{worker=MountWorker{cache=ch.cyberduck.core.ReverseLookupCache@760245e1}} Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] DEBUG ch.cyberduck.core.Session - Add listener ch.cyberduck.ui.cocoa.controller.BrowserController@676cf48 Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] DEBUG ch.cyberduck.core.KeychainLoginService - Validate login credentials for Host{credentials=Credentials{user='the_login_user'}, hostname='gateway.destination.net', defaultpath='null', port=22, protocol=Profile{parent=sftp, image=null}} Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] INFO ch.cyberduck.core.HostPasswordStore - Fetching login password from keychain for Host{credentials=Credentials{user='the_login_user'}, hostname='gateway.destination.net', defaultpath='null', port=22, protocol=Profile{parent=sftp, image=null}} Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] INFO ch.cyberduck.core.HostPasswordStore - Password not found in keychain for Host{credentials=Credentials{user='the_login_user'}, hostname='gateway.destination.net', defaultpath='null', port=22, protocol=Profile{parent=sftp, image=null}} Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] INFO ch.cyberduck.core.proxy.SystemConfigurationProxy - No poxy configuration found for target Host{credentials=Credentials{user='the_login_user'}, hostname='gateway.destination.net', defaultpath='null', port=22, protocol=Profile{parent=sftp, image=null}} Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] DEBUG ch.cyberduck.core.threading.NamedThreadFactory - Create thread for runnable ch.cyberduck.core.Resolver$1@4ebb94f6 Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] DEBUG ch.cyberduck.core.Resolver - Waiting for resolving of gateway.destination.net Jul 21 21:03:27 Moon Cyberduck[2531]: [resolver-1] INFO ch.cyberduck.core.Resolver - Resolved gateway.destination.net to 59.148.202.254 Jul 21 21:03:27 Moon Cyberduck[2531]: [resolver-1] DEBUG ch.cyberduck.core.threading.NamedThreadFactory - Finished execution of runnable ch.cyberduck.core.Resolver$1@4ebb94f6 Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] DEBUG ch.cyberduck.core.Session - Connection will open to Host{credentials=Credentials{user='the_login_user'}, hostname='gateway.destination.net', defaultpath='null', port=22, protocol=Profile{parent=sftp, image=null}} Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] INFO net.schmizz.sshj.transport.random.BouncyCastleRandom - Generating random seed from SecureRandom. Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] DEBUG net.schmizz.sshj.transport.random.BouncyCastleRandom - Creating random seed took 1 ms Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] DEBUG net.schmizz.sshj.DefaultConfig - Available cipher factories: [aes128-cbc, aes128-ctr, aes192-cbc, aes192-ctr, aes256-cbc, aes256-ctr, blowfish-cbc, blowfish-ctr, cast128-cbc, cast128-ctr, idea-cbc, idea-ctr, serpent128-cbc, serpent128-ctr, serpent192-cbc, serpent192-ctr, serpent256-cbc, serpent256-ctr, 3des-cbc, 3des-ctr, twofish128-cbc, twofish128-ctr, twofish192-cbc, twofish192-ctr, twofish256-cbc, twofish256-ctr, twofish-cbc, arcfour, arcfour128, arcfour256] Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] INFO ch.cyberduck.core.proxy.ProxySocketFactory - Use target hostname gateway.destination.net determined from callback DefaultTrustManagerHostnameCallback{host=Host{credentials=Credentials{user='the_login_user'}, hostname='gateway.destination.net', defaultpath='null', port=22, protocol=Profile{parent=sftp, image=null}}} for proxy configuration Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] INFO ch.cyberduck.core.proxy.SystemConfigurationProxy - No poxy configuration found for target Host{credentials=Credentials{user=}, hostname='gateway.destination.net', defaultpath='null', port=22, protocol=Profile{parent=sftp, image=null}} Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] INFO ch.cyberduck.core.socket.DefaultSocketConfigurator - Set timeout to 30000ms for socket Socket[unconnected] Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] INFO net.schmizz.sshj.transport.TransportImpl - Client identity string: SSH-2.0-Cyberduck/6.6.3.28392 (Mac OS X/10.13.6) (x86_64) Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] WARN com.hierynomus.sshj.transport.IdentificationStringParser - Server identification has bad line ending, was expecting a '\r\n' however got: '3' (hex: 33) Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] WARN com.hierynomus.sshj.transport.IdentificationStringParser - Will treat the identification of this server 'SSH-2.0-OpenSSH_7.4p1 Debian-10+deb9u3' leniently Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] INFO net.schmizz.sshj.transport.TransportImpl - Server identity string: SSH-2.0-OpenSSH_7.4p1 Debian-10+deb9u3 Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] DEBUG net.schmizz.concurrent.Promise - Setting <<kex done>> to null Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] DEBUG net.schmizz.sshj.transport.KeyExchanger - Sending SSH_MSG_KEXINIT Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] DEBUG net.schmizz.concurrent.Promise - Setting <<kexinit sent>> to SOME Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] DEBUG net.schmizz.concurrent.Promise - Awaiting <<kex done>> Jul 21 21:03:27 Moon Cyberduck[2531]: [reader] DEBUG net.schmizz.sshj.transport.KeyExchanger - Received SSH_MSG_KEXINIT Jul 21 21:03:27 Moon Cyberduck[2531]: [reader] DEBUG net.schmizz.sshj.transport.KeyExchanger - Negotiated algorithms: [ kex=curve25519-sha256@…; sig=ssh-rsa; c2sCipher=aes128-ctr; s2cCipher=aes128-ctr; c2sMAC=hmac-sha2-256; s2cMAC=hmac-sha2-256; c2sComp=zlib@…; s2cComp=zlib@… ] Jul 21 21:03:27 Moon Cyberduck[2531]: [reader] DEBUG net.schmizz.sshj.transport.KeyExchanger - Trying to verify algorithms with ch.cyberduck.core.sftp.SFTPSession$2@3f37ae98 Jul 21 21:03:27 Moon Cyberduck[2531]: [reader] INFO ch.cyberduck.core.sftp.SFTPSession - Negotiated algorithms [ kex=curve25519-sha256@…; sig=ssh-rsa; c2sCipher=aes128-ctr; s2cCipher=aes128-ctr; c2sMAC=hmac-sha2-256; s2cMAC=hmac-sha2-256; c2sComp=zlib@…; s2cComp=zlib@… ] Jul 21 21:03:27 Moon Cyberduck[2531]: [reader] DEBUG net.schmizz.sshj.transport.kex.Curve25519SHA256 - Sending SSH_MSG_KEXDH_INIT Jul 21 21:03:27 Moon Cyberduck[2531]: [reader] DEBUG net.schmizz.sshj.transport.KeyExchanger - Received kex followup data Jul 21 21:03:27 Moon Cyberduck[2531]: [reader] DEBUG net.schmizz.sshj.transport.kex.Curve25519SHA256 - Received SSH_MSG_KEXDH_REPLY Jul 21 21:03:27 Moon Cyberduck[2531]: [reader] DEBUG net.schmizz.sshj.transport.KeyExchanger - Trying to verify host key with ch.cyberduck.core.sftp.SFTPSession$1@31f0570e Jul 21 21:03:27 Moon Cyberduck[2531]: [reader] DEBUG net.schmizz.sshj.transport.KeyExchanger - Sending SSH_MSG_NEWKEYS Jul 21 21:03:27 Moon Cyberduck[2531]: [reader] DEBUG net.schmizz.sshj.transport.KeyExchanger - Received SSH_MSG_NEWKEYS Jul 21 21:03:27 Moon Cyberduck[2531]: [reader] DEBUG net.schmizz.concurrent.Promise - Setting <<kexinit sent>> to null Jul 21 21:03:27 Moon Cyberduck[2531]: [reader] DEBUG net.schmizz.concurrent.Promise - Setting <<kex done>> to SOME Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] DEBUG net.schmizz.sshj.SSHClient - Key exchange took 0.038 seconds Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] DEBUG ch.cyberduck.core.Session - Connection did open to Host{credentials=Credentials{user='the_login_user'}, hostname='gateway.destination.net', defaultpath='null', port=22, protocol=Profile{parent=sftp, image=null}} Jul 21 21:03:27 Moon Cyberduck[2531]: [keep-alive] DEBUG net.schmizz.keepalive.KeepAliveRunner - Starting KeepAliveRunner, sending keep-alive every 60 seconds Jul 21 21:03:27 Moon Cyberduck[2531]: [keep-alive] DEBUG net.schmizz.keepalive.KeepAliveRunner - Sending keep-alive since 60 seconds elapsed Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] DEBUG ch.cyberduck.core.KeychainLoginService - Attempt authentication for Host{credentials=Credentials{user='the_login_user'}, hostname='gateway.destination.net', defaultpath='null', port=22, protocol=Profile{parent=sftp, image=null}} Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] WARN ch.cyberduck.core.sftp.putty.PageantAuthenticator - Agent proxy ch.cyberduck.core.sftp.putty.PageantAuthenticator@4a8419f9 failed with com.jcraft.jsch.agentproxy.AgentProxyException: java.lang.NoClassDefFoundError: Could not initialize class com.jcraft.jsch.agentproxy.connector.PageantConnector$User32 Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] DEBUG ch.cyberduck.core.sftp.SFTPSession - Attempt login with 5 authentication methods Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] DEBUG ch.cyberduck.core.sftp.SFTPSession - Attempt authentication with credentials Credentials{user='the_login_user'} and authentication method ch.cyberduck.core.sftp.auth.SFTPAgentAuthentication@f869ecd Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] DEBUG ch.cyberduck.core.sftp.auth.SFTPAgentAuthentication - Login using agent OpenSSHAgentAuthenticator{proxy=com.jcraft.jsch.agentproxy.AgentProxy@2c4d4d8e} for Host{credentials=Credentials{user='the_login_user'}, hostname='gateway.destination.net', defaultpath='null', port=22, protocol=Profile{parent=sftp, image=null}} Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] DEBUG ch.cyberduck.core.sftp.openssh.OpenSSHAgentAuthenticator - Retrieve identities from proxy com.jcraft.jsch.agentproxy.AgentProxy@2c4d4d8e Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] DEBUG ch.cyberduck.core.sftp.openssh.OpenSSHAgentAuthenticator - Found 0 identities Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] DEBUG ch.cyberduck.core.sftp.SFTPSession - Login refused with credentials Credentials{user='the_login_user'} and authentication method ch.cyberduck.core.sftp.auth.SFTPAgentAuthentication@f869ecd Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] DEBUG ch.cyberduck.core.sftp.SFTPSession - Attempt authentication with credentials Credentials{user='the_login_user'} and authentication method ch.cyberduck.core.sftp.auth.SFTPAgentAuthentication@3ec370d5 Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] DEBUG ch.cyberduck.core.sftp.auth.SFTPAgentAuthentication - Login using agent ch.cyberduck.core.sftp.putty.PageantAuthenticator@4a8419f9 for Host{credentials=Credentials{user='the_login_user'}, hostname='gateway.destination.net', defaultpath='null', port=22, protocol=Profile{parent=sftp, image=null}} Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] WARN ch.cyberduck.core.sftp.putty.PageantAuthenticator - Disabled agent ch.cyberduck.core.sftp.putty.PageantAuthenticator@4a8419f9 Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] DEBUG ch.cyberduck.core.sftp.SFTPSession - Login refused with credentials Credentials{user='the_login_user'} and authentication method ch.cyberduck.core.sftp.auth.SFTPAgentAuthentication@3ec370d5 Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] DEBUG ch.cyberduck.core.sftp.SFTPSession - Attempt authentication with credentials Credentials{user='the_login_user'} and authentication method ch.cyberduck.core.sftp.auth.SFTPPublicKeyAuthentication@54e2fd25 Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] DEBUG ch.cyberduck.core.sftp.auth.SFTPPublicKeyAuthentication - Login using public key authentication with credentials Credentials{user='the_login_user'} Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] INFO ch.cyberduck.core.sftp.auth.SFTPPublicKeyAuthentication - Reading private key Local{path='/Volumes/System/Users/kinglok/Desktop/Learning Linux/Keys/id.ed25519.gateway.destination.net'} with key format OpenSSHv1 Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] DEBUG net.schmizz.concurrent.Promise - Setting <<service accept>> to null Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] DEBUG net.schmizz.sshj.transport.TransportImpl - Sending SSH_MSG_SERVICE_REQUEST for ssh-userauth Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] DEBUG net.schmizz.concurrent.Promise - Awaiting <<service accept>> Jul 21 21:03:27 Moon Cyberduck[2531]: [reader] DEBUG net.schmizz.concurrent.Promise - Setting <<service accept>> to SOME Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] DEBUG net.schmizz.sshj.transport.TransportImpl - Setting active service to ssh-userauth Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] DEBUG net.schmizz.concurrent.Promise - Setting <<authenticated>> to null Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] DEBUG net.schmizz.sshj.userauth.UserAuthImpl - Trying publickey auth... Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] DEBUG net.schmizz.sshj.userauth.method.AuthPublickey - Attempting authentication using com.hierynomus.sshj.userauth.keyprovider.OpenSSHKeyV1KeyFile@6fa96182 Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] DEBUG net.schmizz.sshj.common.KeyType - Key algo: ssh-ed25519, Key curve: 25519, Key Len: 32

p: [55, -97, -79, 39, -110, -90, -9, -23, -34, 116, -94, -69, 53, -122, -96, -56, 98, 109, 69, -12, -124, -36, 24, 76, 8, -125, 123, 110, -80, 1, -73, -97]

Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] INFO com.hierynomus.sshj.userauth.keyprovider.OpenSSHKeyV1KeyFile - Keypair is encrypted with: aes256-cbc, bcrypt, [B@29ce60c4 Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] WARN ch.cyberduck.core.sftp.SFTPSession - Server disconnected with null while trying authentication method ch.cyberduck.core.sftp.auth.SFTPPublicKeyAuthentication@54e2fd25 Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] WARN ch.cyberduck.core.threading.BackgroundCallable - Failure running background task null

java.lang.Exception

at ch.cyberduck.core.threading.BackgroundCallable.<init>(BackgroundCallable.java:38) at ch.cyberduck.core.threading.DefaultBackgroundExecutor.execute(DefaultBackgroundExecutor.java:66) at ch.cyberduck.core.AbstractController.background(AbstractController.java:78) at ch.cyberduck.ui.cocoa.controller.BrowserController$27.run(BrowserController.java:3052) at ch.cyberduck.ui.cocoa.controller.BrowserController$30.run(BrowserController.java:3172) at ch.cyberduck.ui.cocoa.controller.BrowserController.disconnect(BrowserController.java:3196) at ch.cyberduck.ui.cocoa.controller.BrowserController.doUnmount(BrowserController.java:3159) at ch.cyberduck.ui.cocoa.controller.BrowserController.unmount(BrowserController.java:3150) at ch.cyberduck.ui.cocoa.controller.BrowserController.unmount(BrowserController.java:3105) at ch.cyberduck.ui.cocoa.controller.BrowserController.mount(BrowserController.java:3047) at ch.cyberduck.ui.cocoa.controller.BrowserController.connectBookmarkButtonClicked(BrowserController.java:1801) at ch.cyberduck.ui.cocoa.controller.BrowserController$11.tableRowDoubleClicked(BrowserController.java:1534) at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62) at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) at java.lang.reflect.Method.invoke(Method.java:498) at org.rococoa.internal.OCInvocationCallbacks.callMethod(OCInvocationCallbacks.java:171) at org.rococoa.internal.OCInvocationCallbacks.access$200(OCInvocationCallbacks.java:53) at org.rococoa.internal.OCInvocationCallbacks$2.callback(OCInvocationCallbacks.java:83) at sun.reflect.GeneratedMethodAccessor10.invoke(Unknown Source) at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) at java.lang.reflect.Method.invoke(Method.java:498) at com.sun.jna.CallbackReference$DefaultCallbackProxy.invokeCallback(CallbackReference.java:485) at com.sun.jna.CallbackReference$DefaultCallbackProxy.callback(CallbackReference.java:515) at com.sun.jna.Native.invokeVoid(Native Method) at com.sun.jna.Function.invoke(Function.java:374) at com.sun.jna.Function.invoke(Function.java:323) at com.sun.jna.Function.invoke(Function.java:275) at org.rococoa.internal.MsgSendHandler.invoke(MsgSendHandler.java:111) at com.sun.jna.Library$Handler.invoke(Library.java:234) at com.sun.proxy.$Proxy0.syntheticSendMessage(Unknown Source) at org.rococoa.Foundation.send(Foundation.java:209) at org.rococoa.Foundation.send(Foundation.java:195) at org.rococoa.internal.ObjCObjectInvocationHandler.sendOnThisOrMainThread(ObjCObjectInvocationHandler.java:270) at org.rococoa.internal.ObjCObjectInvocationHandler.invokeCocoa(ObjCObjectInvocationHandler.java:233) at org.rococoa.internal.ObjCObjectInvocationHandler.intercept(ObjCObjectInvocationHandler.java:192) at ch.cyberduck.binding.application.NSApplication$$ByRococoa.run(<generated>) at ch.cyberduck.ui.cocoa.MainApplication.main(MainApplication.java:116)

Caused by: java.lang.NullPointerException

at ch.cyberduck.core.sftp.SFTPExceptionMappingService.map(SFTPExceptionMappingService.java:54) at ch.cyberduck.core.sftp.SFTPExceptionMappingService.map(SFTPExceptionMappingService.java:45) at ch.cyberduck.core.AbstractExceptionMappingService.map(AbstractExceptionMappingService.java:42) at ch.cyberduck.core.sftp.SFTPSession.login(SFTPSession.java:268) at ch.cyberduck.core.KeychainLoginService.authenticate(KeychainLoginService.java:134) at ch.cyberduck.core.LoginConnectionService.authenticate(LoginConnectionService.java:165) at ch.cyberduck.core.LoginConnectionService.connect(LoginConnectionService.java:155) at ch.cyberduck.core.LoginConnectionService.check(LoginConnectionService.java:102) at ch.cyberduck.core.pool.StatelessSessionPool.borrow(StatelessSessionPool.java:59) at ch.cyberduck.core.threading.SessionBackgroundAction.run(SessionBackgroundAction.java:119) at ch.cyberduck.core.threading.SessionBackgroundAction$1.call(SessionBackgroundAction.java:104) at ch.cyberduck.core.threading.DefaultRetryCallable.call(DefaultRetryCallable.java:48) at ch.cyberduck.core.threading.SessionBackgroundAction.call(SessionBackgroundAction.java:106) at ch.cyberduck.core.threading.BackgroundCallable.run(BackgroundCallable.java:102) at ch.cyberduck.core.threading.BackgroundCallable.call(BackgroundCallable.java:61) at java.util.concurrent.FutureTask.run(FutureTask.java:266) at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149) at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624) at ch.cyberduck.core.threading.NamedThreadFactory$1.run(NamedThreadFactory.java:58) at java.lang.Thread.run(Thread.java:748)

Jul 21 21:03:27 Moon Cyberduck[2531]: [background-8] INFO ch.cyberduck.core.threading.SessionBackgroundAction - Run alert callback ch.cyberduck.ui.cocoa.callback.PromptAlertCallback@6be7fa8a for failure ch.cyberduck.core.exception.BackgroundException{detail='Unknown application error.', cause='java.lang.NullPointerException', message='Error'} Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG ch.cyberduck.core.threading.DefaultFailureDiagnostics - Determine cause for failure ch.cyberduck.core.exception.BackgroundException{detail='Unknown application error.', cause='java.lang.NullPointerException', message='Error'} Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG org.rococoa.callback - No method windowDidChangeBackingProperties for selector:windowDidChangeBackingProperties: Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG org.rococoa.callback - No method windowWillMove for selector:windowWillMove: Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG org.rococoa.callback - No method windowWillExitVersionBrowser for selector:windowWillExitVersionBrowser: Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG org.rococoa.callback - No method windowDidUpdate for selector:windowDidUpdate: Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG org.rococoa.callback - No method windowDidResize for selector:windowDidResize: Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG org.rococoa.callback - No method windowDidMiniaturize for selector:windowDidMiniaturize: Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG org.rococoa.callback - No method windowDidEnterFullScreen for selector:windowDidEnterFullScreen: Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG org.rococoa.callback - No method windowDidExitFullScreen for selector:windowDidExitFullScreen: Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG org.rococoa.callback - No method windowDidChangeOcclusionState for selector:windowDidChangeOcclusionState: Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG org.rococoa.callback - No method windowDidMove for selector:windowDidMove: Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG org.rococoa.callback - No method windowDidEndSheet for selector:windowDidEndSheet: Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG org.rococoa.callback - No method windowWillOrderOffScreen for selector:windowWillOrderOffScreen: Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG org.rococoa.callback - No method windowDidOrderOnScreen for selector:windowDidOrderOnScreen: Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG org.rococoa.callback - No method windowDidExpose for selector:windowDidExpose: Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG org.rococoa.callback - No method windowDidEndLiveResize for selector:windowDidEndLiveResize: Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG org.rococoa.callback - No method windowWillMiniaturize for selector:windowWillMiniaturize: Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG org.rococoa.callback - No method windowDidExitVersionBrowser for selector:windowDidExitVersionBrowser: Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG org.rococoa.callback - No method windowDidOrderOffScreen for selector:windowDidOrderOffScreen: Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG org.rococoa.callback - No method windowWillEnterVersionBrowser for selector:windowWillEnterVersionBrowser: Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG org.rococoa.callback - No method windowDidChangeScreenProfile for selector:windowDidChangeScreenProfile: Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG org.rococoa.callback - No method windowDidEnterVersionBrowser for selector:windowDidEnterVersionBrowser: Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG org.rococoa.callback - No method windowDidDeminiaturize for selector:windowDidDeminiaturize: Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG org.rococoa.callback - No method windowWillOrderOnScreen for selector:windowWillOrderOnScreen: Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG org.rococoa.callback - No method windowDidChangeScreen for selector:windowDidChangeScreen: Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG org.rococoa.callback - No method windowWillStartLiveResize for selector:windowWillStartLiveResize: Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG org.rococoa.callback - No method validRequestorForSendType_returnType for selector:validRequestorForSendType:returnType: Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG org.rococoa.callback - No method windowWillReturnFieldEditor_toObject for selector:windowWillReturnFieldEditor:toObject: Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG org.rococoa.callback - No method window_willEncodeRestorableState for selector:window:willEncodeRestorableState: Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG ch.cyberduck.binding.WindowController - Attach sheet for window <NSWindow: 0x6080001eec00> Jul 21 21:03:27 Moon Cyberduck[2531]: [main] DEBUG org.rococoa.callback - No method window_willPositionSheet_usingRect for selector:window:willPositionSheet:usingRect: Jul 21 21:03:28 Moon Cyberduck[2531]: [main] DEBUG ch.cyberduck.binding.WindowController - Resign key for window <NSWindow: 0x6080001eec00> Jul 21 21:03:28 Moon Cyberduck[2531]: [main] DEBUG ch.cyberduck.binding.WindowController - Become key for window <NSPanel: 0x60c0001f4200> Jul 21 21:03:28 Moon Cyberduck[2531]: [background-8] DEBUG ch.cyberduck.binding.SheetInvoker - Await sheet dismiss Jul 21 21:03:28 Moon esets[406]: summ[01960800]: ESET Daemon: vdb=38117, agent=fac, name="/Volumes/System/Users/kinglok/Library/Preferences/com.apple.iApps.plist.1oSqiX5", virus="", action="", info="Event occurred on a newly created file.", avstatus="not scanned" Jul 21 21:03:28 Moon esets[406]: summ[01960800]: ESET Daemon: vdb=38117, agent=fac, name="/Volumes/System/Users/kinglok/Library/Preferences/com.apple.xpc.activity2.plist.vSTVpp0", virus="", action="", info="Event occurred on a newly created file.", avstatus="not scanned" Jul 21 21:03:28 Moon esets[406]: summ[01960700]: ESET Daemon: vdb=38117, agent=fac, name="/Volumes/System/Users/kinglok/Library/Preferences/com.apple.spaces.plist.7lPbQJX", virus="", action="", info="Event occurred on a newly created file.", avstatus="not scanned" Jul 21 21:03:29 Moon Cyberduck[2531]: [main] DEBUG ch.cyberduck.binding.SheetController - Close sheet with button Try Again Jul 21 21:03:29 Moon Cyberduck[2531]: [main] DEBUG ch.cyberduck.binding.WindowController - Resign key for window <NSPanel: 0x60c0001f4200> Jul 21 21:03:29 Moon Cyberduck[2531]: [main] DEBUG ch.cyberduck.binding.WindowController - Become key for window <NSWindow: 0x6080001eec00> Jul 21 21:03:29 Moon Cyberduck[2531]: [main] WARN ch.cyberduck.binding.AlertController - Ignore return code 1 Jul 21 21:03:29 Moon Cyberduck[2531]: [background-8] DEBUG ch.cyberduck.core.threading.BackgroundCallable - Retry background action WorkerBackgroundAction{worker=MountWorker{cache=ch.cyberduck.core.ReverseLookupCache@760245e1}} Jul 21 21:03:29 Moon Cyberduck[2531]: [background-8] DEBUG ch.cyberduck.core.threading.BackgroundCallable - Call background action WorkerBackgroundAction{worker=MountWorker{cache=ch.cyberduck.core.ReverseLookupCache@760245e1}} Jul 21 21:03:29 Moon Cyberduck[2531]: [background-8] DEBUG ch.cyberduck.core.Session - Add listener ch.cyberduck.ui.cocoa.controller.BrowserController@676cf48 Jul 21 21:03:29 Moon Cyberduck[2531]: [background-8] DEBUG ch.cyberduck.core.LoginConnectionService - Skip opening connection for session Session{host=Host{credentials=Credentials{user='the_login_user'}, hostname='gateway.destination.net', defaultpath='null', port=22, protocol=Profile{parent=sftp, image=null}}, state=open} Jul 21 21:03:29 Moon Cyberduck[2531]: [background-8] DEBUG ch.cyberduck.core.Session - Add listener WorkerBackgroundAction{worker=MountWorker{cache=ch.cyberduck.core.ReverseLookupCache@760245e1}} Jul 21 21:03:29 Moon Cyberduck[2531]: [background-8] DEBUG ch.cyberduck.core.threading.WorkerBackgroundAction - Run worker MountWorker{cache=ch.cyberduck.core.ReverseLookupCache@760245e1} Jul 21 21:03:29 Moon Cyberduck[2531]: [background-8] DEBUG ch.cyberduck.core.threading.DefaultFailureDiagnostics - Determine cause for failure ch.cyberduck.core.exception.LoginCanceledException{detail='null', cause='null', message='null'} Jul 21 21:03:29 --- last message repeated 1 time --- Jul 21 21:03:29 Moon Cyberduck[2531]: [background-8] WARN ch.cyberduck.core.threading.AbstractRetryCallable - No retry for failure ch.cyberduck.core.exception.LoginCanceledException{detail='null', cause='null', message='null'} Jul 21 21:03:29 Moon Cyberduck[2531]: [background-8] WARN ch.cyberduck.core.threading.BackgroundCallable - Failure overwriting cause for failure java.lang.Exception with ch.cyberduck.core.exception.LoginCanceledException{detail='null', cause='null', message='null'} Jul 21 21:03:29 Moon Cyberduck[2531]: [background-8] WARN ch.cyberduck.core.threading.BackgroundCallable - Failure running background task Unknown

java.lang.Exception

at ch.cyberduck.core.threading.BackgroundCallable.<init>(BackgroundCallable.java:38) at ch.cyberduck.core.threading.DefaultBackgroundExecutor.execute(DefaultBackgroundExecutor.java:66) at ch.cyberduck.core.AbstractController.background(AbstractController.java:78) at ch.cyberduck.ui.cocoa.controller.BrowserController$27.run(BrowserController.java:3052) at ch.cyberduck.ui.cocoa.controller.BrowserController$30.run(BrowserController.java:3172) at ch.cyberduck.ui.cocoa.controller.BrowserController.disconnect(BrowserController.java:3196) at ch.cyberduck.ui.cocoa.controller.BrowserController.doUnmount(BrowserController.java:3159) at ch.cyberduck.ui.cocoa.controller.BrowserController.unmount(BrowserController.java:3150) at ch.cyberduck.ui.cocoa.controller.BrowserController.unmount(BrowserController.java:3105) at ch.cyberduck.ui.cocoa.controller.BrowserController.mount(BrowserController.java:3047) at ch.cyberduck.ui.cocoa.controller.BrowserController.connectBookmarkButtonClicked(BrowserController.java:1801) at ch.cyberduck.ui.cocoa.controller.BrowserController$11.tableRowDoubleClicked(BrowserController.java:1534) at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62) at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) at java.lang.reflect.Method.invoke(Method.java:498) at org.rococoa.internal.OCInvocationCallbacks.callMethod(OCInvocationCallbacks.java:171) at org.rococoa.internal.OCInvocationCallbacks.access$200(OCInvocationCallbacks.java:53) at org.rococoa.internal.OCInvocationCallbacks$2.callback(OCInvocationCallbacks.java:83) at sun.reflect.GeneratedMethodAccessor10.invoke(Unknown Source) at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) at java.lang.reflect.Method.invoke(Method.java:498) at com.sun.jna.CallbackReference$DefaultCallbackProxy.invokeCallback(CallbackReference.java:485) at com.sun.jna.CallbackReference$DefaultCallbackProxy.callback(CallbackReference.java:515) at com.sun.jna.Native.invokeVoid(Native Method) at com.sun.jna.Function.invoke(Function.java:374) at com.sun.jna.Function.invoke(Function.java:323) at com.sun.jna.Function.invoke(Function.java:275) at org.rococoa.internal.MsgSendHandler.invoke(MsgSendHandler.java:111) at com.sun.jna.Library$Handler.invoke(Library.java:234) at com.sun.proxy.$Proxy0.syntheticSendMessage(Unknown Source) at org.rococoa.Foundation.send(Foundation.java:209) at org.rococoa.Foundation.send(Foundation.java:195) at org.rococoa.internal.ObjCObjectInvocationHandler.sendOnThisOrMainThread(ObjCObjectInvocationHandler.java:270) at org.rococoa.internal.ObjCObjectInvocationHandler.invokeCocoa(ObjCObjectInvocationHandler.java:233) at org.rococoa.internal.ObjCObjectInvocationHandler.intercept(ObjCObjectInvocationHandler.java:192) at ch.cyberduck.binding.application.NSApplication$$ByRococoa.run(<generated>) at ch.cyberduck.ui.cocoa.MainApplication.main(MainApplication.java:116)

Caused by: java.lang.NullPointerException

at ch.cyberduck.core.sftp.SFTPExceptionMappingService.map(SFTPExceptionMappingService.java:54) at ch.cyberduck.core.sftp.SFTPExceptionMappingService.map(SFTPExceptionMappingService.java:45) at ch.cyberduck.core.AbstractExceptionMappingService.map(AbstractExceptionMappingService.java:42) at ch.cyberduck.core.sftp.SFTPSession.login(SFTPSession.java:268) at ch.cyberduck.core.KeychainLoginService.authenticate(KeychainLoginService.java:134) at ch.cyberduck.core.LoginConnectionService.authenticate(LoginConnectionService.java:165) at ch.cyberduck.core.LoginConnectionService.connect(LoginConnectionService.java:155) at ch.cyberduck.core.LoginConnectionService.check(LoginConnectionService.java:102) at ch.cyberduck.core.pool.StatelessSessionPool.borrow(StatelessSessionPool.java:59) at ch.cyberduck.core.threading.SessionBackgroundAction.run(SessionBackgroundAction.java:119) at ch.cyberduck.core.threading.SessionBackgroundAction$1.call(SessionBackgroundAction.java:104) at ch.cyberduck.core.threading.DefaultRetryCallable.call(DefaultRetryCallable.java:48) at ch.cyberduck.core.threading.SessionBackgroundAction.call(SessionBackgroundAction.java:106) at ch.cyberduck.core.threading.BackgroundCallable.run(BackgroundCallable.java:102) at ch.cyberduck.core.threading.BackgroundCallable.call(BackgroundCallable.java:61) at java.util.concurrent.FutureTask.run(FutureTask.java:266) at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149) at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624) at ch.cyberduck.core.threading.NamedThreadFactory$1.run(NamedThreadFactory.java:58) at java.lang.Thread.run(Thread.java:748)

Jul 21 21:03:29 Moon Cyberduck[2531]: [background-8] WARN ch.cyberduck.core.threading.BackgroundCallable - Connection canceled for background task WorkerBackgroundAction{worker=MountWorker{cache=ch.cyberduck.core.ReverseLookupCache@760245e1}} Jul 21 21:03:29 Moon Cyberduck[2531]: [background-8] DEBUG ch.cyberduck.core.threading.BackgroundCallable - Return result null from background action WorkerBackgroundAction{worker=MountWorker{cache=ch.cyberduck.core.ReverseLookupCache@760245e1}} Jul 21 21:03:29 Moon Cyberduck[2531]: [background-8] DEBUG ch.cyberduck.core.threading.AbstractBackgroundAction - Finish background task WorkerBackgroundAction{worker=MountWorker{cache=ch.cyberduck.core.ReverseLookupCache@760245e1}} Jul 21 21:03:29 Moon Cyberduck[2531]: [background-8] DEBUG ch.cyberduck.core.AbstractController - Stop action WorkerBackgroundAction{worker=MountWorker{cache=ch.cyberduck.core.ReverseLookupCache@760245e1}} Jul 21 21:03:29 Moon Cyberduck[2531]: [background-8] DEBUG ch.cyberduck.core.threading.BackgroundActionRegistry - Remove action WorkerBackgroundAction{worker=MountWorker{cache=ch.cyberduck.core.ReverseLookupCache@760245e1}} Jul 21 21:03:29 Moon Cyberduck[2531]: [background-8] DEBUG ch.cyberduck.core.threading.BackgroundCallable - Invoke cleanup for background action WorkerBackgroundAction{worker=MountWorker{cache=ch.cyberduck.core.ReverseLookupCache@760245e1}} Jul 21 21:03:29 Moon Cyberduck[2531]: [background-8] DEBUG ch.cyberduck.core.threading.BackgroundCallable - Releasing lock for background runnable WorkerBackgroundAction{worker=MountWorker{cache=ch.cyberduck.core.ReverseLookupCache@760245e1}} Jul 21 21:03:29 Moon Cyberduck[2531]: [background-8] DEBUG org.rococoa - Draining autorelease pool Jul 21 21:03:29 Moon Cyberduck[2531]: [main] WARN ch.cyberduck.core.threading.WorkerBackgroundAction - Missing result for worker MountWorker{cache=ch.cyberduck.core.ReverseLookupCache@760245e1}. Use default value. Jul 21 21:03:29 Moon Cyberduck[2531]: [main] INFO ch.cyberduck.core.AbstractCache - Clearing cache Cache{size=0} Jul 21 21:03:29 Moon Cyberduck[2531]: [main] DEBUG ch.cyberduck.ui.cocoa.controller.BrowserController - Set working directory to null Jul 21 21:03:29 Moon Cyberduck[2531]: [main] DEBUG ch.cyberduck.ui.cocoa.controller.BrowserController - Set path filter to RegexFilter{pattern=\..*} Jul 21 21:03:29 Moon Cyberduck[2531]: [main] DEBUG ch.cyberduck.ui.cocoa.controller.BrowserController - Reload data with selected files [] Jul 21 21:03:29 Moon Cyberduck[2531]: [main] DEBUG ch.cyberduck.ui.cocoa.datasource.BrowserOutlineViewDataSource - Reload table view <CDOutlineView: 0x7fe38563a730> for changes files [] Jul 21 21:03:29 --- last message repeated 1 time --- Jul 21 21:03:29 Moon Cyberduck[2531]: [main] DEBUG ch.cyberduck.core.threading.BackgroundActionRegistry - Remove action WorkerBackgroundAction{worker=MountWorker{cache=ch.cyberduck.core.ReverseLookupCache@760245e1}} Jul 21 21:03:30 Moon Cyberduck[2531]: [main] DEBUG ch.cyberduck.binding.WindowController - Resign key for window <NSWindow: 0x6080001eec00> Jul 21 21:03:30 Moon Cyberduck[2531]: [main] DEBUG ch.cyberduck.binding.WindowController - Resign main for window <NSWindow: 0x6080001eec00>

Version 0, edited on Jul 21, 2018 at 1:10:02 PM by kinglok (next)

Changed on Jul 21, 2018 at 1:13:25 PM by kinglok

Debug log

comment:24 Changed on Jul 21, 2018 at 7:02:00 PM by dkocher

Jul 21 21:03:29 Moon Cyberduck[2531]: [background-8] WARN  ch.cyberduck.core.threading.BackgroundCallable - Failure running background task Unknown
264	       
265	        java.lang.Exception
266	                at ch.cyberduck.core.threading.BackgroundCallable.<init>(BackgroundCallable.java:38)
267	                at ch.cyberduck.core.threading.DefaultBackgroundExecutor.execute(DefaultBackgroundExecutor.java:66)
268	                at ch.cyberduck.core.AbstractController.background(AbstractController.java:78)
269	                at ch.cyberduck.ui.cocoa.controller.BrowserController$27.run(BrowserController.java:3052)
270	                at ch.cyberduck.ui.cocoa.controller.BrowserController$30.run(BrowserController.java:3172)
271	                at ch.cyberduck.ui.cocoa.controller.BrowserController.disconnect(BrowserController.java:3196)
272	                at ch.cyberduck.ui.cocoa.controller.BrowserController.doUnmount(BrowserController.java:3159)
273	                at ch.cyberduck.ui.cocoa.controller.BrowserController.unmount(BrowserController.java:3150)
274	                at ch.cyberduck.ui.cocoa.controller.BrowserController.unmount(BrowserController.java:3105)
275	                at ch.cyberduck.ui.cocoa.controller.BrowserController.mount(BrowserController.java:3047)
276	                at ch.cyberduck.ui.cocoa.controller.BrowserController.connectBookmarkButtonClicked(BrowserController.java:1801)
277	                at ch.cyberduck.ui.cocoa.controller.BrowserController$11.tableRowDoubleClicked(BrowserController.java:1534)
278	                at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
279	                at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
280	                at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
281	                at java.lang.reflect.Method.invoke(Method.java:498)
282	                at org.rococoa.internal.OCInvocationCallbacks.callMethod(OCInvocationCallbacks.java:171)
283	                at org.rococoa.internal.OCInvocationCallbacks.access$200(OCInvocationCallbacks.java:53)
284	                at org.rococoa.internal.OCInvocationCallbacks$2.callback(OCInvocationCallbacks.java:83)
285	                at sun.reflect.GeneratedMethodAccessor10.invoke(Unknown Source)
286	                at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
287	                at java.lang.reflect.Method.invoke(Method.java:498)
288	                at com.sun.jna.CallbackReference$DefaultCallbackProxy.invokeCallback(CallbackReference.java:485)
289	                at com.sun.jna.CallbackReference$DefaultCallbackProxy.callback(CallbackReference.java:515)
290	                at com.sun.jna.Native.invokeVoid(Native Method)
291	                at com.sun.jna.Function.invoke(Function.java:374)
292	                at com.sun.jna.Function.invoke(Function.java:323)
293	                at com.sun.jna.Function.invoke(Function.java:275)
294	                at org.rococoa.internal.MsgSendHandler.invoke(MsgSendHandler.java:111)
295	                at com.sun.jna.Library$Handler.invoke(Library.java:234)
296	                at com.sun.proxy.$Proxy0.syntheticSendMessage(Unknown Source)
297	                at org.rococoa.Foundation.send(Foundation.java:209)
298	                at org.rococoa.Foundation.send(Foundation.java:195)
299	                at org.rococoa.internal.ObjCObjectInvocationHandler.sendOnThisOrMainThread(ObjCObjectInvocationHandler.java:270)
300	                at org.rococoa.internal.ObjCObjectInvocationHandler.invokeCocoa(ObjCObjectInvocationHandler.java:233)
301	                at org.rococoa.internal.ObjCObjectInvocationHandler.intercept(ObjCObjectInvocationHandler.java:192)
302	                at ch.cyberduck.binding.application.NSApplication$$ByRococoa.run(<generated>)
303	                at ch.cyberduck.ui.cocoa.MainApplication.main(MainApplication.java:116)
304	        Caused by: java.lang.NullPointerException
305	                at ch.cyberduck.core.sftp.SFTPExceptionMappingService.map(SFTPExceptionMappingService.java:54)
306	                at ch.cyberduck.core.sftp.SFTPExceptionMappingService.map(SFTPExceptionMappingService.java:45)
307	                at ch.cyberduck.core.AbstractExceptionMappingService.map(AbstractExceptionMappingService.java:42)
308	                at ch.cyberduck.core.sftp.SFTPSession.login(SFTPSession.java:268)
309	                at ch.cyberduck.core.KeychainLoginService.authenticate(KeychainLoginService.java:134)
310	                at ch.cyberduck.core.LoginConnectionService.authenticate(LoginConnectionService.java:165)
311	                at ch.cyberduck.core.LoginConnectionService.connect(LoginConnectionService.java:155)
312	                at ch.cyberduck.core.LoginConnectionService.check(LoginConnectionService.java:102)
313	                at ch.cyberduck.core.pool.StatelessSessionPool.borrow(StatelessSessionPool.java:59)
314	                at ch.cyberduck.core.threading.SessionBackgroundAction.run(SessionBackgroundAction.java:119)
315	                at ch.cyberduck.core.threading.SessionBackgroundAction$1.call(SessionBackgroundAction.java:104)
316	                at ch.cyberduck.core.threading.DefaultRetryCallable.call(DefaultRetryCallable.java:48)
317	                at ch.cyberduck.core.threading.SessionBackgroundAction.call(SessionBackgroundAction.java:106)
318	                at ch.cyberduck.core.threading.BackgroundCallable.run(BackgroundCallable.java:102)
319	                at ch.cyberduck.core.threading.BackgroundCallable.call(BackgroundCallable.java:61)
320	                at java.util.concurrent.FutureTask.run(FutureTask.java:266)
321	                at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
322	                at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
323	                at ch.cyberduck.core.threading.NamedThreadFactory$1.run(NamedThreadFactory.java:58)
324	                at java.lang.Thread.run(Thread.java:748)

comment:25 Changed on Jul 21, 2018 at 7:02:39 PM by dkocher

  • Resolution worksforme deleted
  • Status changed from closed to reopened

comment:26 in reply to: ↑ 23 Changed on Jul 22, 2018 at 1:41:37 PM by dkocher

Replying to kinglok:

I am using the latest snapshot of Cyberduck.

The screen shows "Unknown application error" and I have attached the log file.

The error log suggests that the server is dropping the connection while trying to authenticate. Please check the server log for possible reasons.

comment:27 Changed on Jul 22, 2018 at 1:44:29 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

Fix for null pointer on disconnect in r44693.

Changed on Aug 11, 2018 at 5:02:23 PM by kinglok

openssh server debug log.

comment:28 Changed on Aug 11, 2018 at 5:02:52 PM by kinglok

Things are getting better but this time produce another type of error: Connection failed Login failed. The connection attempt was rejected. The server may be down, or your network may not be properly configured.

I have attached the server-side log for your comment.

comment:29 Changed on Aug 28, 2018 at 3:20:26 PM by kinglok

  • Resolution fixed deleted
  • Status changed from closed to reopened

Any news?

comment:30 Changed on Sep 25, 2018 at 4:04:41 AM by camdenorrb

  • Keywords ed25519 added

Also getting this same issue on Windows 8.1... Anything we can do to fix this?

comment:31 Changed on Oct 26, 2018 at 6:42:18 AM by Roy-Orbison

I had the same issue in Windows using a .ppk PuTTY key, but I was able work around it by opening it up in PuTTYgen, then choosing Conversions > Export OpenSSH key (force new file format) from the menu, saving it with a .pem extension, then using that in Cyberduck.

comment:32 Changed on Nov 1, 2018 at 8:39:09 AM by dkocher

  • Resolution set to worksforme
  • Status changed from reopened to closed
Note: See TracTickets for help on using tickets.
swiss made software